Bug 143605 - Unnumbered Heading1 is numbered
Summary: Unnumbered Heading1 is numbered
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.2.0.1 rc
Hardware: All All
: medium normal
Assignee: Vasily Melenchuk (CIB)
URL:
Whiteboard: target:7.3.0 target:7.2.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Chapter-Numbering
  Show dependency treegraph
 
Reported: 2021-07-29 15:33 UTC by TorrAB
Modified: 2021-08-25 04:43 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
showing numbered Heading1 (15.91 KB, image/png)
2021-07-29 15:33 UTC, TorrAB
Details
file with several Heading1 (18.83 KB, application/vnd.oasis.opendocument.text)
2021-07-30 00:03 UTC, TorrAB
Details
The document in 7.1.0 and 7.3 (101.31 KB, image/png)
2021-07-30 10:16 UTC, NISZ LibreOffice Team
Details
Numbering settings in 7.1 and 7.3 (109.96 KB, image/png)
2021-07-30 10:17 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description TorrAB 2021-07-29 15:33:41 UTC
Created attachment 173951 [details]
showing numbered Heading1

On first try of the latest version: bug which did not exist in the previous version!
Open a new document, make 1st paragraph Heading1. It is numbered ‘0’ even though it should be unnumbered according to Tools>ChapterNumbering —Head1Num.png.

Version: 7.2.0.1 (x64) / LibreOffice Community
Build ID: 32efc3b7f3a71cfa6a7fa3f6c208333df48656cc
CPU threads: 4; OS: Windows 10.0 Build 19043; UI render: Skia/Raster; VCL: win
Locale: en-CA (en_US); UI: en-US
Calc: CL
Comment 1 TorrAB 2021-07-29 15:58:45 UTC
	To remove this number ‘0’, I had to change the numbering style to another (‘A, B, C…’; The number became ‘A’.), then back to ‘None’.
Comment 2 Julien Nabet 2021-07-29 18:15:09 UTC
On pc Debian x86-64 with master sources updated today, I don't reproduce this.
Here are the steps I use:
- launch Writer
- type "chapter"
- click "Toggle Ordered List" (or F12)
=> LO displays "1. Chapter"

Do you reproduce this on a brand new file or is it specific on a file?
Unless I missed something?
Comment 3 TorrAB 2021-07-30 00:03:43 UTC
Created attachment 173958 [details]
file with several Heading1
Comment 4 QA Administrators 2021-07-30 06:24:07 UTC Comment hidden (obsolete)
Comment 5 Timur 2021-07-30 07:38:18 UTC
I think it's pointless to look at this document if there are no steps how it was created. So I set Needinfo. If you cannot provide steps, bug should be closed.
Comment 6 NISZ LibreOffice Team 2021-07-30 10:16:59 UTC
Created attachment 173967 [details]
The document in 7.1.0 and 7.3

"Heading 1" in the document showed no numbering in 
Version: 7.1.0.3 (x64) / LibreOffice Community
Build ID: f6099ecf3d29644b5008cc8f48f42f4a40986e4c
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: default; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: threaded

but now it is shown in
Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: ac80ec817eb07c77a51bc0729985a473c734182e
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: en-US (hu_HU); UI: en-US
Calc: CL
Comment 7 NISZ LibreOffice Team 2021-07-30 10:17:31 UTC
Created attachment 173968 [details]
Numbering settings in 7.1 and 7.3
Comment 8 NISZ LibreOffice Team 2021-08-05 17:02:26 UTC
This seems to have started with:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=9987b518fca1476bd0ce8c86bcf6ac7c81f7b580

author	Vasily Melenchuk <vasily.melenchuk@cib.de>	2021-06-14 14:27:56 +0300
committer	Thorsten Behrens <thorsten.behrens@allotropia.de>	2021-06-29 19:02:20 +0200

new ODF numbered list parameter loext:num-list-format

Adding CC to: Vasily Melenchuk
Comment 9 Vasily Melenchuk (CIB) 2021-08-09 05:37:46 UTC
I've forgot to put bugzilla reference in a already merged fix.

https://gerrit.libreoffice.org/c/core/+/120082 - fix in master (merged)
https://gerrit.libreoffice.org/c/core/+/120137 - fix for 7.2
Comment 10 Commit Notification 2021-08-09 17:27:48 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/214a649d7d4a2bab8c4d8829bacb16e72c24e026

tdf#143605: sw: numbering rule is not constructed for numbering type "None"

It will be available in 7.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.